Bug 801562 - please also package exuberant-ctags.so
please also package exuberant-ctags.so
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: global (Show other bugs)
20
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Zhukov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 16:01 EST by Sjoerd Mullender
Modified: 2014-05-08 06:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: global-6.2.9-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 06:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch implementing requested change (1.86 KB, patch)
2013-10-30 03:42 EDT, Sjoerd Mullender
no flags Details | Diff

  None (edit)
Description Sjoerd Mullender 2012-03-08 16:01:44 EST
Description of problem:
global has an extensions mechanism so that languages that are not supported by global itself can still be used.  This mechanism works via a .so that is loaded at runtime.  global comes with a .so that calls exuberant-ctags (packaged in Fedora as ctags-etags).  Unfortunately, this .so is not installed by the global RPM.  It would be really nice if the .so (called exuberant-ctags.so) would be installed.

The current global.spec file does cause the .so to be built, but it is not included in the final RPM.


Version-Release number of selected component (if applicable):
global-5.9.3-3.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-01-16 09:39:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Sjoerd Mullender 2013-01-16 10:05:45 EST
This request is still relevant for Fedora 18.
Comment 4 Fedora Admin XMLRPC Client 2013-10-08 09:22:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Sjoerd Mullender 2013-10-30 03:42:49 EDT
Created attachment 817331 [details]
Patch implementing requested change

Here is a patch against the latest version of the package to implement the requested change.
Comment 6 Pavel Zhukov 2013-11-21 15:41:54 EST
Thank you for the patch. 
Pushed rawhide.
Comment 7 Fedora End Of Life 2013-12-21 10:38:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Sjoerd Mullender 2013-12-21 12:57:54 EST
This request is still relevant for Fedora 20, however, it looks like it might land in Fedora 21.  I hope it will also land in 20.
Comment 9 Fedora Update System 2014-04-25 04:19:13 EDT
global-6.2.9-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/global-6.2.9-4.fc20
Comment 10 Fedora Update System 2014-04-26 05:14:34 EDT
Package global-6.2.9-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing global-6.2.9-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5601/global-6.2.9-4.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2014-05-08 06:09:40 EDT
global-6.2.9-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.